l i n u x - u s e r s - g r o u p - o f - d a v i s
L U G O D
 
Next Meeting:
August 5: Social gathering
Next Installfest:
TBD
Latest News:
Jul. 4: July, August and September: Security, Photography and Programming for Kids
Page last updated:
2003 Jun 25 12:03

The following is an archive of a post made to our 'vox-tech mailing list' by one of its subscribers.

Report this post as spam:

(Enter your email address)
Re: [vox-tech] Freshen glibc
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [vox-tech] Freshen glibc



Try upgrading both at the same time.  The dependencies should be detected
automatically:

 rpm --upgrade glibc-2.3.2-27.9.i686.rpm glibc-common-2.3.2-27.9.i386.rpm

-Mark

On Wed, 25 Jun 2003, Jim Angstadt wrote:

> Hi All,
>
> I'm updating Red Hat 9.0 on my test box at home
> with rh errata[1].  From the rh glibc page[2], it
> looks like I only need 2 rpms:
>
>    glibc-2.3.2-27.9.i686.rpm
>    glibc-common-2.3.2-27.9.i386.rpm
>
> # rpm -Fvh --test glibc-2.3.2-27.9.i686.rpm
>
> warning: glibc-2.3.2-27.9.i686.rpm: V3 DSA
> signature: NOKEY, key ID db42a60e
>
> error: Failed dependencies:
>
> 	glibc-common = 2.3.2-27.9 is needed by
> glibc-2.3.2-27.9
>
>
> # rpm -Fvh --test
> glibc-common-2.3.2-27.9.i386.rpm
>
> warning: glibc-common-2.3.2-27.9.i386.rpm: V3 DSA
> signature: NOKEY, key ID db42a60e
>
> error: Failed dependencies:
>
> 	glibc-common = 2.3.2-11.9 is needed by
> (installed) glibc-2.3.2-11.9
>
>
> # rpm -qa |grep glibc
>
> glibc-common-2.3.2-11.9
>
> glibc-2.3.2-11.9
>
> glibc-devel-2.3.2-11.9
>
> glibc-kernheaders-2.4-8.10
>
>
> The rh glibc page says to use 'rpm -Fvh
> <rpmname>'.  Apparently I cannot freshen -common
> because it is needed by the older (-11) version
> of glibc.  But -11 will become obsolete as soon
> as -27 is installed.
>
> What should I do now?
>
> Thanks,
> Jim
>
> -----
> [1] https://rhn.redhat.com/errata/rh9-errata.html
> [2] https://rhn.redhat.com/errata/RHBA-2003-136.html
>
> __________________________________
> Do you Yahoo!?
> SBC Yahoo! DSL - Now only $29.95 per month!
> http://sbc.yahoo.com
> _______________________________________________
> vox-tech mailing list
> vox-tech@lists.lugod.org
> http://lists.lugod.org/mailman/listinfo/vox-tech
>

-- 
Mark K. Kim
http://www.cbreak.org/
PGP key available upon request.

_______________________________________________
vox-tech mailing list
vox-tech@lists.lugod.org
http://lists.lugod.org/mailman/listinfo/vox-tech



LinkedIn
LUGOD Group on LinkedIn
Sign up for LUGOD event announcements
Your email address:
facebook
LUGOD Group on Facebook
'Like' LUGOD on Facebook:

Hosting provided by:
Sunset Systems
Sunset Systems offers preconfigured Linux systems, remote system administration and custom software development.

LUGOD: Linux Users' Group of Davis
PO Box 2082, Davis, CA 95617
Contact Us

LUGOD is a 501(c)7 non-profit organization
based in Davis, California
and serving the Sacramento area.
"Linux" is a trademark of Linus Torvalds.

Sponsored in part by:
Sunset Systems
Who graciously hosts our website & mailing lists!